server_name: ${server_name}
pid_file: "/var/run/matrix-synapse.pid"
public_baseurl: https://${baseurl}/
use_presence: true
allow_public_rooms_without_auth: false
allow_public_rooms_over_federation: false

federation_ip_range_blacklist:
  - '127.0.0.0/8'
  - '10.0.0.0/8'
  - '172.16.0.0/12'
  - '192.168.0.0/16'
  - '100.64.0.0/10'
  - '169.254.0.0/16'
  - '::1/128'
  - 'fe80::/64'
  - 'fc00::/7'

listeners:
  - port: 20081
    tls: false
    bind_addresses: ['::1']
    type: http
    x_forwarded: true

    resources:
      - names: [metrics]
        compress: false

  - port: 20080
    tls: false
    bind_addresses: ['::1']
    type: http
    x_forwarded: true

    resources:
      - names: [client, federation]
        compress: false

admin_contact: '${admin_contact}'
database:
  name: "psycopg2"
  args:
    user: "${database['user']}"
    database: "${database['database']}"
    password: "${database['password']}"
    host: "${database.get('host', 'localhost')}"
    cp_min: 5
    cp_max: 10

event_cache_size: 1M
log_config: "/etc/matrix-synapse/log.yaml"

enable_media_repo: false
enable_registration: false
registration_shared_secret: "${registration_shared_secret}"
allow_guest_access: false
#default_identity_server: https://matrix.org
#trusted_third_party_id_servers:
#  - matrix.org
#  - vector.im

enable_metrics: True

app_service_config_files:
% for config in sorted(appservice_configs):
  - "${config}"
% endfor

signing_key_path: "/etc/matrix-synapse/homeserver.signing.key"
trusted_key_servers:
% for server in sorted(trusted_key_servers):
  - server_name: "${server}"
% endfor
% if 'matrix.org' in trusted_key_servers:
suppress_key_server_warning: true
%endif

password_config:
  enabled: true

email:
  enable_notifs: false
  notif_from: "Matrix <noreply@${server_name}"

enable_group_creation: true

report_stats: false
